<?php

// Pg host name, user name, password, database, and table
$opts['hn'] = DEMO_HOST;
$opts['un'] = DEMO_USER;
$opts['pw'] = DEMO_PASSWORD;
$opts['db'] = DEMO_DATABASE;
$opts['tb'] = 'product';

$opts['cgi']['persist'] = array (
 $sid_label => $sid_value,
 'task' => 'product'
);

// Name of field which is the unique key
$opts['key'] = 'product_id';

// Type of key field (int/real/string/date etc.)
$opts['key_type'] = 'int';

// Sorting field(s)
$opts['sort_field'] = array('product_id');

// Number of records to display on the screen
// Value of -1 lists all records in a table
$opts['inc'] = -1;

// Options you wish to give the users
// A - add,  C - change, P - copy, V - view, D - delete,
// F - filter, I - initial sort suppressed
$opts['options'] = 'ACPVDF';

// Number of lines to display on multiple selection filters
$opts['multiple'] = '4';

// Navigation style: B - buttons (default), T - text links, G - graphic links
// Buttons position: U - up, D - down (default)
$opts['navigation'] = 'UDG';

// Display special page elements
$opts['display'] = array(
        'form'  => true,
        'query' => true,
        'sort'  => true,
        'time'  => true,
        'tabs'  => true
);

$opts['language'] = 'en';

$opts['fdd']['id'] = array(
  'name'     => 'ID',
  'select'   => 'T',
  'options'  => 'VF',
  'maxlen'   => 11,
  'default'  => '0',
  'sort'     => true
);
$opts['fdd']['product_id'] = array(
  'name'     => 'ID',
  'select'   => 'T',
  'maxlen'   => 8,
  'sort'     => true
);
$opts['fdd']['boolean_field'] = array(
  'name'     => 'Boolean',
  'select'   => 'T',
   // TODO
  'sort'     => true
);
require_once 'phpPgEdit.class.php';
new phpMyEdit($opts);

?>