-- ----------------------------------------------------
-- phpPGedit demo database
-- ----------------------------------------------------

-- Author: Raphael Pautasso <mc.rraph@free.fr>
-- The database of phpPGedit example
-- License: GNU GPL
-- $id=''<.>''. $date=2006-00-00
-- ----------------------------------------------------
-- Copyright (C) 2006 Raphael Pautasso

-- Website: http://www.phppgedit.org

-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-- ----------------------------------------------------

-- Log :
-- Last modified : -
-- Creation : 2006-08-22

create database phppgedit_demo;

-- Connection
\c phppgedit_demo

-- Fields based on a subset of this list http://www.postgresql.org/docs/8.1/static/datatype.html

CREATE TABLE family
(
	family_id				SERIAL PRIMARY KEY,
	family_label			TEXT NOT NULL
);

CREATE TABLE product
(
	product_id				SERIAL PRIMARY KEY,
	family_id				INT4,
	boolean_field			BOOLEAN,
	integer_field			INT4,
	varchar_field			VARCHAR[15],
	date_field				DATE,
	text_field				TEXT
	-- TODO
	FOREIGN KEY(family_id) REFERENCES family (family_id) ON UPDATE CASCADE ON DELETE CASCADE
);

-- End of file
